For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/webhook/post-api-webhook-v1trigger.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Trigger webhooks

POST
/api/webhook/v1/trigger
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { webhook, webhookError } = await reloop.webhook.trigger({
6 event: "domain.created",
7 payload: { domainId: "dom_123456789" },
8});
9if (webhookError) throw webhookError;
1{
2 "success": true,
3 "message": "Contact already exists",
4 "jobId": "example_jobId"
5}

Body Parameters

eventstringRequired
payloadobjectRequired

Event payload

organizationIdstring

Organization ID to trigger webhooks for

userIdstring

User ID to trigger webhooks for

Was this page helpful?